<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="84425a2a952d5150">
        <source>Files</source>
        <target state="translated">文件</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">10</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b8c22d3bc2fe4d6d">
        <source>Often when implementing network algorithms such as servers, it is necessary to interact with files on the system. Beast defines the __File__ concept and several models to facilitate cross-platform interaction with the underlying filesystem:</source>
        <target state="translated">在实现服务器等网络算法时，经常需要与系统中的文件进行交互。Beast 定义了 __File__ 概念以及多种模型，用于实现与底层文件系统的跨平台交互：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">12</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d4763551c479df09">
        <source>File Types</source>
        <target state="translated">文件类型</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b4c4db868dbf643a">
        <source>Name</source>
        <target state="translated">名称</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f7f5c115cf553484">
        <source>Description</source>
        <target state="translated">描述</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4233ed0d577aaa14">
        <source>[link beast.ref.boost__beast__file `file`]</source>
        <target state="translated">[link beast.ref.boost__beast__file `file`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="15f69f6a37d04b4d">
        <source>`file` is a type alias to one of the following implementations, depending on what is available on the target platform.</source>
        <target state="translated">`file` 是一个类型别名，其具体类型取决于目标平台所支持的实现，可能为以下某种实现之一：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c8f8929bd086f221">
        <source>[link beast.ref.boost__beast__file_stdio `file_stdio`]</source>
        <target state="translated">[link beast.ref.boost__beast__file_stdio `file_stdio`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="35972d2269882695">
        <source>This implementation of __File__ uses the C++ standard library facilities obtained by including `&lt;cstdio&gt;`.</source>
        <target state="translated">该 __File__ 实现使用 C++ 标准库的功能，这些功能通过包含 `&lt;cstdio&gt;` 头文件获得。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a986a7fe5579d6aa">
        <source>[link beast.ref.boost__beast__file_win32 `file_win32`]</source>
        <target state="translated">[link beast.ref.boost__beast__file_win32 `file_win32`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5cebca8ebb41dfae">
        <source>This implements a __File__ for the Win32 API. It provides low level access to the native file handle when necessary.</source>
        <target state="translated">该实现为 Win32 API 提供 __File__ 接口。必要时，它可以提供对原生文件句柄的低级别访问。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2a55756dc71fb62e">
        <source>[link beast.ref.boost__beast__file_posix `file_posix`]</source>
        <target state="translated">[link beast.ref.boost__beast__file_posix `file_posix`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7bcb1a44b383b683">
        <source>For POSIX systems, this class provides a suitable implementation of __File__ which wraps the native file descriptor and provides it if necessary.</source>
        <target state="translated">对于 POSIX 系统，该类提供合适的 __File__ 实现，它封装原生文件描述符，并在必要时提供该描述符。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
    </body>
  </file>
</xliff>
